Package org.drinkless.tdlib

# Class TdApi.SetApplicationVerificationToken

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.SetApplicationVerificationToken

Enclosing class:
  `TdApi`

public static class TdApi.SetApplicationVerificationToken extends TdApi.Function<TdApi.Ok>
Informs TDLib that application or reCAPTCHA verification has been completed. Can be called before authorization.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `token`
  Play Integrity API token for the Android application, or secret from push notification for the iOS application for application verification, or reCAPTCHA token for reCAPTCHA verifications; pass an empty string to abort verification and receive the error "VERIFICATION_FAILED" for the request.
  `long`
  `verificationId`
  Unique identifier for the verification process as received from updateApplicationVerificationRequired or updateApplicationRecaptchaVerificationRequired.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetApplicationVerificationToken()`
  Default constructor for a function, which informs TDLib that application or reCAPTCHA verification has been completed.
  `SetApplicationVerificationToken(long verificationId, String token)`
  Creates a function, which informs TDLib that application or reCAPTCHA verification has been completed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### verificationId

    public long verificationId
    Unique identifier for the verification process as received from updateApplicationVerificationRequired or updateApplicationRecaptchaVerificationRequired.

  - ### token

    public String token
    Play Integrity API token for the Android application, or secret from push notification for the iOS application for application verification, or reCAPTCHA token for reCAPTCHA verifications; pass an empty string to abort verification and receive the error "VERIFICATION_FAILED" for the request.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SetApplicationVerificationToken

    public SetApplicationVerificationToken()
    Default constructor for a function, which informs TDLib that application or reCAPTCHA verification has been completed. Can be called before authorization.

    Returns `Ok`

  - ### SetApplicationVerificationToken

    public SetApplicationVerificationToken(long verificationId, String token)
    Creates a function, which informs TDLib that application or reCAPTCHA verification has been completed. Can be called before authorization.

    Returns `Ok`

    Parameters:
      `verificationId` - Unique identifier for the verification process as received from updateApplicationVerificationRequired or updateApplicationRecaptchaVerificationRequired.
      `token` - Play Integrity API token for the Android application, or secret from push notification for the iOS application for application verification, or reCAPTCHA token for reCAPTCHA verifications; pass an empty string to abort verification and receive the error "VERIFICATION_FAILED" for the request.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR